Package commoble.morered.plate_blocks

# Enum Class InputState

java.lang.Object
java.lang.Enum<InputState>
commoble.morered.plate_blocks.InputState

All Implemented Interfaces:
  `Serializable`, `Comparable<InputState>`, `Constable`

public enum InputState extends Enum<InputState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FFF`
`FFT`
`FTF`
`FTT`
`TFF`
`TFT`
`TTF`
`TTT`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`a`
`final boolean`
`b`
`final boolean`
`c`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyLogic(LogicFunction function)`
`static int`
`boolsToID(boolean a, boolean b, boolean c)`
`static InputState`
`getInput(net.minecraft.world.level.block.state.BlockState state)`
`boolean`
`getSideState(InputSide side)`
`static InputState`
`getState(boolean a, boolean b, boolean c)`
`static net.minecraft.world.level.block.state.BlockState`
`getUpdatedBlockState(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState oldBlockState, net.minecraft.core.BlockPos pos)`
`static InputState`
`getWorldPowerState(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)`
`static InputState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InputState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FFF

public static final InputState FFF

### FFT

public static final InputState FFT

### FTF

public static final InputState FTF

### FTT

public static final InputState FTT

### TFF

public static final InputState TFF

### TFT

public static final InputState TFT

### TTF

public static final InputState TTF

### TTT

public static final InputState TTT

## Field Details

### a

public final boolean a

### b

public final boolean b

### c

public final boolean c

## Method Details

### values

public static InputState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InputState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSideState

public boolean getSideState(InputSide side)

### applyLogic

public boolean applyLogic(LogicFunction function)

### getState

public static InputState getState(boolean a, boolean b, boolean c)

### getInput

public static InputState getInput(net.minecraft.world.level.block.state.BlockState state)

### getWorldPowerState

public static InputState getWorldPowerState(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)

### getUpdatedBlockState

public static net.minecraft.world.level.block.state.BlockState getUpdatedBlockState(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState oldBlockState, net.minecraft.core.BlockPos pos)

### boolsToID

public static int boolsToID(boolean a, boolean b, boolean c)